###########################################################################
# Header
# -------------------------------------------------------------------------
# - Test code    : PatchTest01.feature
# - Description  : Make sure can login, launch classic page then logout
# - Created by   : Mike Shaw
# - Created date : 17 Nov 2020
#
###########################################################################

Feature: Test01 : Make sure can login, launch classic page then logout

    Scenario: Login scenario
		#  Login
	    Given the user is logged into Sage X3 with "param:loginType" using user name "param:loginUserName" and password "param:loginPassword"
        When the user selects the "param:endPointName1" entry on endpoint panel
        Then the "param:endPointName1" endpoint is selected
	
	Scenario: Launch classic function
        # Open classic function by code
        Given the user opens the "GESTVB" function
		Then the user waits 30 seconds

        # Check the function is opened
        Then the "BP tax rule" screen is displayed

        # Close the main function
        Then the user clicks the Close page action icon on the header panel
	
	Scenario: Logout scenario
		#  Logout
		Then the user logs-out from the system
